xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Peter De Wachter
License | BSD-style (see LICENSE)
Maintainer | Peter De Wachter <pdewacht@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Circle

Contents

- Usage

Description

Deprecated: Use XMonad.Layout.CircleEx instead

Circle is an elliptical, overlapping layout, by Peter De Wachter

Synopsis

- pattern Circle :: CircleEx a

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.Circle

Then edit your `layoutHook` by adding the Circle layout:

    myLayout = Circle ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

pattern Circle :: CircleEx a Source #